package com.sun.org.apache.xml.internal.serializer;

import java.util.List;

interface XSLOutputAttributes
{
    public abstract String getDoctypePublic();
    
    public abstract String getDoctypeSystem();
    
    public abstract String getEncoding();
    
    public abstract boolean getIndent();
    
    public abstract int getIndentAmount();
    
    public abstract String getMediaType();
    
    public abstract boolean getOmitXMLDeclaration();
    
    public abstract String getStandalone();
    
    public abstract String getVersion();
    
    public abstract void setCdataSectionElements(List<String> p0);
    
    public abstract void setDoctype(String p0, String p1);
    
    public abstract void setDoctypePublic(String p0);
    
    public abstract void setDoctypeSystem(String p0);
    
    public abstract void setEncoding(String p0);
    
    public abstract void setIndent(boolean p0);
    
    public abstract void setMediaType(String p0);
    
    public abstract void setOmitXMLDeclaration(boolean p0);
    
    public abstract void setStandalone(String p0);
    
    public abstract void setVersion(String p0);
    
    public abstract String getOutputProperty(String p0);
    
    public abstract String getOutputPropertyDefault(String p0);
    
    public abstract void setOutputProperty(String p0, String p1);
    
    public abstract void setOutputPropertyDefault(String p0, String p1);
}
